## boxer-data 10.8.4

=== debian/changelog ===
boxer-data (10.8.4) unstable; urgency=medium

  * Fix class Admin.etc.functions: Merge consecutive redirects.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jul 2019 23:15:48 -0300

boxer-data (10.8.3) unstable; urgency=medium

  * Fix class Admin.etc.functions:
    + Fix broken syntax in function _backup().
    + Single-quote regular expressions in function _backup().

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jul 2019 21:16:09 -0300

boxer-data (10.8.2) unstable; urgency=medium

  * Update class Desktop.office.libreoffice.presentation:
    Stop include package libreoffice-ogltrans.
    Closes: Bug#931032. Thanks to Rene Engelhard.
  * Introuce suite bullseye.
  * Update class Task.music.notation.musescore:
    Include package musescore3 (not musescore) since Bullseye.
  * Update autopkgtest to cover bullseye (not buster).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jul 2019 22:33:08 -0300

boxer-data (10.8.1) unstable; urgency=medium

  * Update class Admin.etc.functions: Add function _uuid().
  * Update class Hardware.net.interfaces.functions:
    + Add functions
      _iface_set_sociable_nm()
      _iface_set_private_nm()
      _iface_create_nm().
  * Add classes
    Hardware.net.enable.systemd
    Hardware.net.interfaces.dhcp.network-manager
    Hardware.net.interfaces.dhcp.systemd
    Service.firewall.firewalld.network-manager
    Service.firewall.systemd.
  * Update class hw.smp: Stop include package irqbalance.
  * Fix class hw.arm.kirkwood: Include package linux-image-marvell
    (not obsolete linux-image-kirkwood).
  * Tighten class Admin.etc.functions:
    + Skip check for existence before grep.
    + More compact backup function.
  * Update class Admin.etc.functions: Add function _clearinikey().
  * Update class Admin.apt.auto.core:
    Mark more packages auto-installed: e2fsprogs kmod.
  * Update TODOs.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jul 2019 14:54:33 -0300

boxer-data (10.8.0) experimental; urgency=medium

  * Add class Framework.pkg.apt.muon.
  * Update class Framework.pkg:
    + Fix drop obsolete subclasses packagekit.gtk gtk.packagekit
      apt.aptdaemon apt.cli.aptdaemon apt.gtk.aptdaemon
  * Update TODOs.
  * Update class Framework.pkg:
    + Add subclasses gnome kde.
  * Update class Framework.vcs.mr:
    + Stop mark mr auto-installed.
  * Fix class Hardware.laptop.olimex:
    + Provide only since Buster.
    + Include class Hardware.bootloader.u-boot.sunxi.
  * Fix classes Desktop.email Desktop.email.harden:
    + Thunderbird is available in stable Debian again.
  * Improve class Admin.etc.functions:
    + Introduce functions _setinivar _setaddinivar.
    + Avoid _backup to .bak same day as .orig.
    + In _setvar _setline try enabled keyword before uncommenting.
    + Cover _setvar with space around = sign.
    + Simplify _setvar _setinivar.
  * Update class Desktop:
    + Fix drop obsolete subclass environment.razorqt.
    + Add subclasses environment.lxqt environment.qt
      media.qt media.video.qt media.video.mpv.qt
      office.qt office.libreoffice.base
      photo.view.qt
      qt
      screensaver.suckless
      terminal.qt web.qt
      tools.qt tools.network.qt.
    + Add classes x11.sddm.elarun Framework.crypto.openssh.pinentry.qt.
    + Update node showmebox-qt to use LXQt (Not Razor-Qt).
  * Fix class Desktop.environment.mate to avoid metapackages.
  * Update class Desktop.environment.gnustep.scheduling
    to include package addressmanager.app.
    Tidy description.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 May 2019 09:39:49 +0200

## boxer-data 10.8.11

=== debian/changelog ===
boxer-data (10.8.11) unstable; urgency=medium

  * Update class Desktop.office.libreoffice:
    + Have subclass gnome stop add gtk.
     Have subclass gtk add gtk.gtk3 (not gtk.gtk2) since Bullseye.
  * Fix class Hardware.box.globalscale:
    + Include class Hardware.bootloader.u-boot."
  * Add class Hardware.net.bufferbloat.avoid since Buster.
  * Add class Console.locale.default.reset.
  * Add class Console.setup.root.reset.
  * Extend class Console.filemanager:
    + Add subclass mc.full, enabled by default.
  * Update class Console.design.drawing:
    + Stop include package usvg (too immature).
  * Fix class Desktop.media.audio.alsa:
    + Include volumeicon-alsa (not volti); see bug#943985.
  * Declare compliance with Debian Policy 4.4.1.
  * Bump debhelper compatibility level to 9.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Dec 2019 11:44:27 +0100

boxer-data (10.8.10) unstable; urgency=medium

  * Fix class Service.init.sysv:
    + Include/exclude package sysvinit-core
      (not obsolete sysvinit).
  * Fix classes
    Hardware.net.interfaces.dhcp.systemd
    Service.firewall.systemd:
    Broken syntax in tweak.
  * Fix drop class Framework.theme.xfce since bullseye
    (not only avoid package gtk2-engines-xfce).
    See bug#935954.
  * Update class Service.dns:
    + Add subclasses bind unbound systemd resolver.
    + Use caching service (not authoritative) by default.
    + Use systemd (not unbound) as default caching service.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Aug 2019 17:30:28 +0200

boxer-data (10.8.9) unstable; urgency=medium

  * Update class Framework.theme.xfce:
    + Include subclass gtk3 (not gtk2) and drop subclass gtk2
      since Bullseye.
      See bug#935954.
  * Mark binary package as Multi-Arch: foreign.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Aug 2019 14:51:16 +0200

boxer-data (10.8.8) unstable; urgency=medium

  * Fix class Service.supplicant.iwd: Broken syntax.
  * Declare compliance with Debian Policy 4.3.0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Aug 2019 09:20:11 +0200

boxer-data (10.8.7) unstable; urgency=medium

  * Fix classes
    Hardware.net.enable.systemd
    Hardware.net.interfaces.dhcp.network-manager
    Hardware.net.interfaces.dhcp.systemd
    Service.firewall.firewalld.network-manager
    Service.firewall.systemd,
    and most of class Hardware.net.interfaces.functions
    (broken since introduced in release 10.8.1).
  * Fix class Service.init.systemd description.
  * Update class Admin.tools.network.wifi:
    + Include (also since Buster) package iw
      (was removed since Buster in release 10.7.3).
  * Add classes
    Hardware.box.globalscale
    Hardware.motherboard.olimex.micro
    Service.ssh.openssh.reset
    Service.init.systemd.reset
    Service.ssh.advertise
    Service.supplicant
    hw.soc.marvell.kirkwood.
  * Update class Service.init:
    + Include class Service.init.systemd.default by default
      (not Service.init.sysv.default).
  * Update class Service.ntp:
    + Add subclasses chrony systemd.
  * Update class Service.ssh:
    + Add subclass mosh.
  * Update classes Desktop.mobile.sync.gtk Console.mobile.sync:
    Stop include syncevolution sync-ui since Bullseye
    (see bug#935239).
  * Update TODOs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Aug 2019 20:30:47 +0200

boxer-data (10.8.6) unstable; urgency=medium

  * Update class Desktop.web.webkit.qt:
    + Install package qutebrowser-qtwebkit (not aora) since Buster.
      Closes: Bug#935608. Thanks to Paul Gevers.
  * Update class Desktop.web.firefox.locale.bn:
    + Drop subclasses BD IN,
      and always include package firefox-esr-l10n-bn
      (not firefox-esr-l10n-bn-bd firefox-esr-l10n-bn-in).
  * Update class Desktop.web.firefox.locale.en.CA:
    + Install package firefox-esr-l10n-en-ca.
  * Update class Desktop.web.firefox.locale.en.ZA:
    + Stop install package firefox-esr-l10n-en-za.
  * Update class Desktop.web.firefox.locale.INDIA:
    + Stop install package firefox-esr-l10n-mai.
  * Update class Desktop.web.firefox.locale.ml:
    + Stop install package firefox-esr-l10n-ml.
  * Update class Desktop.web.firefox.locale:
    + Drop subclass or.
  * Update class Desktop.office.libreoffice.locale.EUROPE:
    + Install package libreoffice-l10n-gd.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Aug 2019 19:52:44 +0200

boxer-data (10.8.5) unstable; urgency=medium

  * Update class Admin.tools.network.wifi:
    + Fix ensure initial start of WiFi daemon iwd on Buster
      (see bug#934194).
  * Extend class Framework.rdf:
    + Add subclass easyrdf since Bullseye.
  * Update class Console.design.drawing:
    + Include package cairosvg (not python-cairosvg) since Bullseye
      (see bug#934911).
    + Include package usvg since Bullseye.
  * Update TODOs.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Aug 2019 15:59:42 +0200

## boxer-data 10.8.12

=== Makefile ===
suites = stretch buster bullseye
getnodes = $(basename $(notdir $(wildcard $1/nodes/*.yml)))

all: symlinkfarm

symlinkfarm:
	shtool mkshadow stretch buster 2>/dev/null
	shtool mkshadow buster bullseye 2>/dev/null
	touch $@

test: symlinkfarm
	set -e; $(foreach suite,$(suites),\
	boxer compose --datadir $(suite) $(call getnodes,$(suite));)
	touch $@

clean:
	find * -type l -delete
	find * -empty -delete
	rm -f symlinkfarm test preseed.cfg script.sh

.PHONY: all clean

=== debian/changelog ===
boxer-data (10.8.12) unstable; urgency=medium

  * update class Desktop.scheduling.lightning:
    + include package webext-dav4tbsync since buster
  * mark many auto-installed packages
  * update class Desktop.tools.account:
    + include package update usermode (not gnome-system-tools);
      see bug#888675,#888670

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Jan 2020 12:28:33 +0100

=== debian/control ===
Source: boxer-data
Section: misc
Priority: optional
Maintainer: Boxer developers <boxer-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper,
 shtool,
 boxer
Standards-Version: 4.4.1
Homepage: https://wiki.debian.org/Boxer
Vcs-Git: https://salsa.debian.org/boxer-team/boxer-data.git
Vcs-Browser: https://salsa.debian.org/boxer-team/boxer-data
Rules-Requires-Root: no

Package: boxer-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: boxer
Description: classes and nodes usable by Boxer
 This package provides classes and nodes for Boxer to generate
 deployment/blending "recipes".
 .
 Boxer is a tool for system deployment and for composing blends,
 i.e designing how to have a distribution unfold onto boxes.

## boxer-data 10.8.28

=== debian/changelog ===
boxer-data (10.8.28) unstable; urgency=medium

  * fix exclude node showmebox-gnustep in autopkgtests
    on archs without thunderbird
  * fix have autopkgtests explicitly depend on make

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Apr 2021 10:04:43 +0200

boxer-data (10.8.27) unstable; urgency=medium

  * fix exclude node dharma in autopkgtests
    on archs without thunderbird
  * fix update class Service.web.uwsgi.python:
    install uwsgi-plugin-python3 (not uwsgi-plugin-python)
    since bullseye

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Apr 2021 11:46:04 +0200

boxer-data (10.8.26) unstable; urgency=medium

  * fix drop class Service.web.wiki.moinmoin since bullseye:
    MoinMoin is virtually dead upstream and no longer in Debian
  * fix really really skip autopkgtests involving thunderbird/falkon
    where unavailable

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Apr 2021 09:12:54 +0200

boxer-data (10.8.25) unstable; urgency=medium

  * fix class Service.mail.list:
    install Mailman3 and Hyperkitty (not mailman) since bullseye
  * fix really skip autopkgtests involving thunderbird/falkon
    where unavailable

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Apr 2021 08:10:40 +0200

boxer-data (10.8.24) unstable; urgency=medium

  * fix skip autopkgtests involving thunderbird/falkon where unavailable,
    and enable other arch-sepcific autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Apr 2021 14:59:17 +0200

boxer-data (10.8.23) unstable; urgency=medium

  * have autopkgtest skip arch-specific nodes,
    and include showmebox-gnustep
    (not sure why that was skipped previously);
    closes: bug#987079, thanks to Paul Gevers

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Apr 2021 09:04:47 +0200

boxer-data (10.8.22) unstable; urgency=medium

  * fix class Service.mail.avoid:
    stop avoid citadel-mta unavailable since bullseye;
    closes: bug#986726, thanks to Graham Inggs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Apr 2021 10:47:12 +0200

boxer-data (10.8.21) unstable; urgency=medium

  * update class Desktop.design.web.sass:
    + stop include packages for obsolete libraries
      singularitygs slickmap susy yui
    + stop mention Compass in description
    + include packages for Sass libraries
      gutenberg sass-extras typey
    + stop auto-marking packages ruby-compass ruby-sass
    + include package sassc

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Mar 2021 15:47:13 +0100

boxer-data (10.8.20) unstable; urgency=medium

  * drop classes
    Desktop.environment.xfce.scheduling
    Desktop.environment.scheduling.lxqt
    since bullseye
    (package orage is gone, see bug#977628)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Feb 2021 21:43:05 +0100

boxer-data (10.8.19) unstable; urgency=medium

  * drop classes l10n.se l10n.hunspell.se since bullseye
    (see bug#978987)
  * update class Desktop.environment.lxqt.limit:
    stop avoid package disk-manager since bullseye
    (gone: see bug#943969)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Feb 2021 21:23:08 +0100

boxer-data (10.8.18) unstable; urgency=medium

  * fix class Hardware.net.bufferbloat.avoid
    to use correct syntax
  * update class Desktop.design.web:
    + stop include Desktop.web.blink (see bug#972134)
  * declare compliance with Debian Policy 4.5.1
  * use debhelper compatibility level 13 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * annotate test-only build-dependency

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Dec 2020 14:03:31 +0100

boxer-data (10.8.17) unstable; urgency=medium

  * use POSIX sed option -E (not -r) in tweaks
  * spellcheck changelog
  * update class Desktop.email.thunderbird.harden:
    + no-op since bullseye:
      enigmail is gone, and Thunderbird supports PGP now
  * update class Desktop.web.firefox.harden:
    + install package webext-ublock-origin-firefox
      (not webext-ublock-origin)
      since bullseye
  * update class Desktop.email.thunderbird.locales:
    + add package thunderbird-l10n-kab to subclass AFRICA
    + add packages thunderbird-l10n-dsb thunderbird-l10n-hsb
      to subclass EUROPA
  * update class l10n.aspell:
    + fix install package aspell-cs (not bogus aspell-cz)
      in subclass cs
  * update class l10n.hunspell:
    + fix have subclass en.ZA include en.GB
      (not virtual package hunspell-en-za)
    + fix drop obsolete subclasses
      ca.myspell de.AT.myspell de.CH.myspell de.DE.myspell gl.rag
      hr.myspell nl.myspell pl.myspell pt.BR.myspell pt.PT.myspell
      ru.myspell sv.dsso
    + consistently provide explicit hunspell subclass
      when both hunspell and myspell variants exist
    + consistently avoid explicit hunspell subclass
      when the only exisitng variant
    + consistently provide explicit myspell subclass
      (even if the only exisitng variant)
  * fix add base class l10n.hyphen.pt
  * update class l10n.ispell:
    + stop include subclass de.DE.old in de.DE
  * update class l10n.wordlist:
    + stop include subclass de.DE.old in de.DE
  * update class l10n.mythes:
    + fix install package mythes-de-ch (not mythes-de)
      in subclass de.CH
  * update class l10n:
    + tighten localeregion classes
  * add classes
    l10n.hunspell.tr
    l10n.hyphen.id l10n.hyphen.lv
    l10n.mythes.cs l10n.mythes.gug l10n.mythes.id
    l10n.gug l10n.id l10n.lv l10n.tr

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Nov 2020 12:08:50 +0100

boxer-data (10.8.16) unstable; urgency=medium

  * fix mark many auto-installed packages since Buster
    (not only Stretch),
    as intended since 10.8.12
  * drop suite stretch; add suite bookworm
  * update class Desktop.design.color.gtk:
    + add package gcolor3 since bullseye
    + stop mention gcolor2 for buster
  * update class Desktop.web.firefox.harden:
    + drop package webext-noscript
      (arguably superseded by webext-ublock-origin)
  * update class Service.time:
    + have base class include Service.time.systemd
      (not Service.time.openntpd)


## boxer-data 10.8.28+deb11u1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-suites = stretch buster bullseye
+suites = buster bullseye bookworm
 getnodes = $(basename $(notdir $(wildcard $1/nodes/*.yml)))
 
 all: symlinkfarm
 
 symlinkfarm:
-	shtool mkshadow stretch buster 2>/dev/null
 	shtool mkshadow buster bullseye 2>/dev/null
+	shtool mkshadow bullseye bookworm 2>/dev/null
 	touch $@
 
 test: symlinkfarm

=== debian/changelog ===
boxer-data (10.8.28+deb11u1) bullseye; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Backport thunderbird compatibility fixes from sid.

  [ Jonas Smedegaard ]
  * update class Desktop.scheduling.lightning:
    stop install package lightning (gone)
  * update class Desktop.email.thunderbird.locale:
    + update subclass ASIA to stop include package thunderbird-l10n-si
    (Closes: #1035347)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Jun 2023 17:34:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Boxer developers <boxer-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- debhelper,
+ debhelper-compat (= 13),
  shtool,
- boxer
-Standards-Version: 4.4.1
+ boxer <!nocheck>,
+Standards-Version: 4.5.1
 Homepage: https://wiki.debian.org/Boxer
 Vcs-Git: https://salsa.debian.org/boxer-team/boxer-data.git
 Vcs-Browser: https://salsa.debian.org/boxer-team/boxer-data

## boxer-data 10.8.28+deb11u2

=== debian/changelog ===
boxer-data (10.8.28+deb11u2) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Do not install webext-https-everywhere because it has been removed from
    Debian.

 -- Markus Koschany <apo@debian.org>  Tue, 14 Oct 2025 14:40:13 +0200

=== debian/tests/control ===
Test-Command: make --always-make --file debian/tests/smoke.mk
Restrictions: allow-stderr
Depends:
 boxer,
 boxer-data,
 make,

## boxer-data 10.8.28+rpi2

=== debian/changelog ===
boxer-data (10.8.28+rpi2) bullseye-staging; urgency=medium

  * Remove reference to thunderbird-l10-si which is no longer
    built by current thunderbird.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 01 Feb 2022 21:16:34 +0000

boxer-data (10.8.28+rpi1) bullseye-staging; urgency=medium

  * Reference thunderbird rather than lightning, the lightning
    transitional package has been dropped by the latest thunderbird.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 01 Feb 2022 20:41:20 +0000

## boxer-data 10.9.12

=== debian/changelog ===
boxer-data (10.9.12) unstable; urgency=medium

  * add class l10n.mythes.pt.BR since bookworm
  * add class l10n.hyphen.be since bookworm
  * update class Desktop.web.webkit:
    + have subclass gtk install surf (not luakit) since bookworm;
    + include gnome by default
      (not gtk: luakit broken with Wayland, see bug#1012739)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Aug 2022 18:31:45 +0200

boxer-data (10.9.11) unstable; urgency=medium

  * fix class Service.ssh.openssh.reset
    to avoid broken symlinks by using systemctl

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 May 2022 11:04:24 +0200

boxer-data (10.9.10) unstable; urgency=medium

  * fix and simplify class Service.ssh.openssh.reset:
    + avoid hanging after generating keys
    + avoid creating and using external script

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 May 2022 09:04:07 +0200

boxer-data (10.9.9) unstable; urgency=medium

  * fix class Service.time.chrony.pre-resolve:
    + include class Admin.etc.functions
  * declare compliance with Debian Policy 4.6.1
  * use semantic newlines in long description and copyright fields

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 May 2022 20:40:29 +0200

boxer-data (10.9.8) unstable; urgency=medium

  * update class Desktop.office:
    + add subclass suckless
  * drop class Hardware.net.bufferbloat.avoid since Bookworm
    (fq_codel enabled by default since linux-image 5.16~rc8-1~exp1)
  * reformat CHANGES to Keep a Changelog style
  * rename CHANGES -> CHANGELOG.md
  * rename TODO -> TODO.md
  * Consistently use asterisk as bullets in TODO
  * tighten lintian overrides
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Feb 2022 12:35:47 +0100

boxer-data (10.9.7) unstable; urgency=medium

  * update class Desktop.design.animation:
    + stop install package synfigstudio since bookworm

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Feb 2022 17:26:34 +0100

boxer-data (10.9.6) unstable; urgency=medium

  * update class Desktop.editor.text:
    + add subclasses xfce code.xfce,
      both installing mousepad (same as gtk, for now)
  * update class Desktop.editor.text.code.gtk:
    + install package l3afpad (not mousepad) since bookworm
  * update class Service.time:
    + use chrony by default
      (more accurate and smoothly adjusting than systemd-timesyncd)
  * add classes l10n.mn l10n.hunspell.mn l10n.hyphen.mn
  * update class l10n.hunspell.en.ZA:
    + install package hunspell-en-za (not hunspell-en-gb)
  * update class Desktop.office.libreoffice.locale:
    + update subclass kn to install package libreoffice-l10n-kn
    + update sublass EUROPE to install package libreoffice-l10n-szl
  * update class Desktop.email.thunderbird.locale:
    + update subclass ASIA to stop install package thunderbird-l10n-si

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Feb 2022 17:11:24 +0100

boxer-data (10.9.5) unstable; urgency=medium

  * empty and deprecate class l10n.ispell.it
    (unmaintained - see bug#996361 - and gone upstream)
  * update class Console.mobile:
    + install packages syncevolution syncevolution-http
  * drop obsolete empty class Service.time.systemd.pre-resolve
  * update class Service.mail.mta.avoid:
    + stop avoid gone package qmail-run

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Nov 2021 15:17:41 +0100

boxer-data (10.9.4) unstable; urgency=medium

  * update class Desktop.scheduling.lightning:
    stop install package lightning (gone)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Nov 2021 02:01:01 +0100

boxer-data (10.9.3) unstable; urgency=medium

  * update class Desktop.web.webkit.gtk:
    install luakit (not midori: Electron-based nowadays - see bug#995398)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Oct 2021 15:07:46 +0200

boxer-data (10.9.2) unstable; urgency=medium

  * update class Service.filesystem.indexer
    to install package plocate (not mlocate); see bug#989517
  * add class Service.time.chrony.systemd
    to integrate chrony with systemd
  * update class Desktop.mendia.video.mpv.gtk
    to install celluloid (not gnome-mpv now a transitional package)
  * update class Service.class.time.chrony.pre-resolve
    to save tweak as a snippet
  * update copyright info:
    + update coverage
    + use Reference field (not License-Reference);
      tighten lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Sep 2021 22:52:51 +0200

boxer-data (10.9.1) unstable; urgency=medium

  * drop class Service.time.systemd.pre-resolve:
    obsolete (DNSSEC is bypassed when resolving NTP hosts
    since systemd 247.3-2)
  * fix install bookworm data

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Aug 2021 21:22:16 +0200

boxer-data (10.9.0) unstable; urgency=medium

  * update class Desktop.design.painting.gtk: revert to install package gimp-plugin-registry: in good shape again now
  * drop suite buster
  * update TODOs
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Aug 2021 14:12:54 +0200

## boxer-data 10.9.12+deb12u1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
-suites = buster bullseye bookworm
+suites = bullseye bookworm
 getnodes = $(basename $(notdir $(wildcard $1/nodes/*.yml)))
 
 all: symlinkfarm
 
 symlinkfarm:
-	shtool mkshadow buster bullseye 2>/dev/null
 	shtool mkshadow bullseye bookworm 2>/dev/null
 	touch $@

=== debian/changelog ===
boxer-data (10.9.12+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Fix class Desktop.web.firefox.harden. No longer install obsolete Firefox
    addon https-everywhere.

 -- Markus Koschany <apo@debian.org>  Wed, 19 Jul 2023 00:04:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  shtool,
  boxer <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://wiki.debian.org/Boxer
 Vcs-Git: https://salsa.debian.org/boxer-team/boxer-data.git
 Vcs-Browser: https://salsa.debian.org/boxer-team/boxer-data
@@ -19,8 +19,8 @@
 Depends: ${misc:Depends}
 Enhances: boxer
 Description: classes and nodes usable by Boxer
- This package provides classes and nodes for Boxer to generate
- deployment/blending "recipes".
+ This package provides classes and nodes for Boxer
+ to generate deployment/blending "recipes".
  .
  Boxer is a tool for system deployment and for composing blends,
  i.e designing how to have a distribution unfold onto boxes.

## boxer-data 10.10.0

=== debian/changelog ===
boxer-data (10.10.0) unstable; urgency=medium

  * drop suite bullseye;
    add suite trixie;
    autopkgtest suite trixie (not bullseye)
  * drop classes l10n.hunspell.fr.modern l10n.hunspell.it.myspell
    l10n.hunspell.kmr.myspell l10n.hunspell.sl.myspell l10n.ispell.uk:
    packages hunspell-fr-modern myspell-fr myspell-ku myspell-sl
    iukranian are gone
  * fix class Desktop.web.firefox.harden:
    + stop install webext-https-everywhere (gone)
  * fix class Framework.theme.gnome:
    + install/avoid gnome-themes-extra (not gnome-themes-standard)
  * fix class Framework.theme.sugar:
    + stop install/avoid gtk2-engines-sugar (gone)
  * fix class Framework.theme.sugar:
    + stop install/avoid gtk2-engines-sugar (gone)
  * fix class l10n.mythes.hu:
    + install mythes-hu (not mythes-ca)
  * fix class l10n.manpages.ALL:
    + include l10n.manpages.EUROPE (not l10n.ispell.EUROPE)
  * fix class l10n.manpages.EUROPE:
    + include l10n.manpages.EU (not l10n.ispell.EU)
  * fix class l10n.wordlist.ALL:
    + include l10n.wordlist.* (not l10n.ispell.*)
  * add classes l10n.hyphen.eo l10n.hyphen.th
    l10n.ispell.it l10n.mythes.eo
    l10n.wordlist.eo l10n.wordlist.gd l10n.wordlist.ga l10n.wordlist.gv
    Desktop.office.libreoffice.locale.hy
    Desktop.email.locale.pa Desktop.email.thunderbird.locale.pa
  * update classes Desktop.email.locale Desktop.email.thunderbird.locale:
    + cover es-AR and es-MX
    + add subclass es
  * update class Service.dns:
    + add subclass llmnr
    + avoid LLMNR by default
  * update class Framework.pkg.apt.source.reset:
    + update security base URI
  * update class l10n.hunspell.eo:
    + install hunspell-eo (not myspell-eo) since trixie
  * update class Desktop.office.libreoffice.locale.INDIA:
    + stop install libreoffice-l10n-in (metapackage)
  * update class Desktop.web.firefox.locale.AMERICAS:
    + install firefox-l10n-trs
  * update class Desktop.web.firefox.locale.ASIA:
    + install firefox-l10n-tg firefox-esr-l10n-tl
  * update class Desktop.web.firefox.locale.EUROPE:
    + install firefox-esr-l10n-ca-valencia firefox-esr-l10n-fur
      firefox-esr-l10n-sc firefox-esr-l10n-sco firefox-esr-l10n-szl
  * update class Desktop.email.thunderbird.locale.af:
    + install thunderbird-l10n-af
  * update class Desktop.email.thunderbird.locale.AMERICAS:
    + install thunderbird-l10n-cak
  * update class Desktop.email.thunderbird.locale.ASIA:
    + install thunderbird-l10n-ka thunderbird-l10n-th
      thunderbird-l10n-uz
  * update class Desktop.email.thunderbird.locale.EU:
    + install thunderbird-l10n-lv
  * update class Desktop.email.thunderbird.locale.EUROPE:
    + install thunderbird-l10n-ka
  * update class Desktop.email.thunderbird.locale.en.CA:
    + install thunderbird-l10n-en-ca
  * declare compliance with Debian Policy 4.7.0
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Aug 2024 09:25:29 +0200

## boxer-data 10.10.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
-suites = bullseye bookworm
+suites = bookworm trixie
 getnodes = $(basename $(notdir $(wildcard $1/nodes/*.yml)))
 
 all: symlinkfarm
 
 symlinkfarm:
-	shtool mkshadow bullseye bookworm 2>/dev/null
+	shtool mkshadow bookworm trixie 2>/dev/null
 	touch $@
 
 test: symlinkfarm

=== debian/changelog ===
boxer-data (10.10.1) unstable; urgency=medium

  * fix class Desktop.design.painting.gtk:
    + stop install gimp-lensfun gimp-plugin-registry since trixie
  * fix class Console.design.drawing:
    + stop install gtk-vector-screenshot since trixie
  * fix class Desktop.tools.harden:
    + stop include parcimonie since trixie
  * fix class Console.mobile.sync:
    + stop install syncevolution syncevolution-http since trixie
  * fix class Desktop.office.gtk.document-viewer:
    + stop avoid obsolete evince-gtk
  * fix class Desktop.media.video.mplayer:
    + install mplayer-gui (not gnome-mplayer)
    + stop avoid obsolete mplayer2
  * fix class Desktop.media.audio:
    + drop obsolete subclass esound
  * fix class Desktop.web:
    + simplify subclass qutebrowser
    + drop subclass webkit.qt
  * all of the above together closes: bug#1109028

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Jul 2025 11:24:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  shtool,
  boxer <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://wiki.debian.org/Boxer
 Vcs-Git: https://salsa.debian.org/boxer-team/boxer-data.git
 Vcs-Browser: https://salsa.debian.org/boxer-team/boxer-data

## boxer-data 10.10.2

=== debian/changelog ===
boxer-data (10.10.2) unstable; urgency=medium

  * fix class Admin.harden: stop install monkeysphere;
    see bug#1085868
  * fix class Desktop.scheduling:
    + drop subclass lightning;
      see bug#1122245
    + include class Desktop.email.thunderbird
  * update class Desktop.tools.network:
    + add subclass gtk
    + fix subclass gnome to include subclass gtk
      (not install transitional network-manager-gnome);
      see bug#1086816, #1086818
  * update class Desktop.web.firefox.locale:
    + add subclass sat
  * update class Desktop.web.firefox.locale.ASIA:
    + install firefox-l10n-skr
  * drop classes l10n.hunspell.eo.myspell l10n.hunspell.hy.myspell:
    packages myspell-eo myspell-hy are now only transitional
  * stop set superfluous fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3
  * drop obsolete class Framework.web.webkit.webkit1.gtk.avoid
  * update descriptive strings to refer to GTK (not GTK+)
  * drop obsolete TODO note

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Jan 2026 08:58:52 +0100

## boxer-data 10.10.3

=== debian/changelog ===
boxer-data (10.10.3) unstable; urgency=medium

  * drop class Admin.harden.trustweb:
    + package monkeysphere is now only experimental
  * drop class Framework.vcs.git.service.git:
    + packages git-daemon-run git-daemon-sysvinit are gone
      (see bug#1020284)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Jan 2026 12:48:12 +0100

## boxer-data 10.10.4

=== debian/changelog ===
boxer-data (10.10.4) unstable; urgency=medium

  * reduce autopkgtest:
    + stop test kernel install on i386, no longer supported
    + stop test firefox install on s390x, no longer provided

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Feb 2026 10:44:08 +0100

## boxer-data 10.10.5

=== debian/changelog ===
boxer-data (10.10.5) unstable; urgency=medium

  * fix class Desktop.office.qt.pdf-viewer:
    + install sioyek (not qpdfview unavailable on i386);
      closes: bug#1129238, thanks to Bastian Germann
  * update class Framework.crypto.gnupg.pinentry:
    + add subclass fltk
  * update class Desktop.tools.pgp:
    + add subclasses fltk gnome
  * update class Desktop.tools.harden:
    + add subclasses fltk gtk gnome qt
    + use fltk by default (not gtk);
      closes: bug#1124937, thanks to Jeremy Bícha and Bastian Germann

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Feb 2026 20:45:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: boxer-data
 Section: misc
-Priority: optional
 Maintainer: Boxer developers <boxer-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  debhelper-compat (= 13),
  shtool,
  boxer <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://wiki.debian.org/Boxer
 Vcs-Git: https://salsa.debian.org/boxer-team/boxer-data.git
 Vcs-Browser: https://salsa.debian.org/boxer-team/boxer-data
-Rules-Requires-Root: no
 
 Package: boxer-data
 Architecture: all
